package com.yihu.ehr.svrinspection.commons.service;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Map;

/**
 *  公共业务类
 *
 * @author HZY
 * @created 2018/11/16 9:58
 */
public class BaseService {

    /**
     *  降序排序
     * @param list          排序集合
     * @param orderField    排序字段
     */
    public void comparator(List<Map<String, Object>> list , String orderField){
        Collections.sort(list, new Comparator<Map<String, Object>>() {
            @Override
            public int compare(Map<String, Object> o1, Map<String, Object> o2) {
                return getIntegerValue(o2.get(orderField)).compareTo(getIntegerValue(o1.get(orderField)));
            }
        });
    }

    /**
     * 获取值
     * @param objValue
     * @return
     */
    public Integer getIntegerValue(Object objValue) {
        int value = 0;
        try {
            if (objValue != null) {
                value = Integer.parseInt(objValue.toString());
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return value;
    }


}
