package com.yihu.ehr.svrinspection.dao;

import com.yihu.ehr.svrinspection.model.AssistanceApplyModel;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;

/**
 * @author HZY
 * @created 2018/11/14 15:34
 */

public interface AssistanceApplyDao extends PagingAndSortingRepository<AssistanceApplyModel, Integer> {

    Page<AssistanceApplyModel> queryAllByApplyOrgAndExamTypeAndExamDeptAndPatientNameLike(String appOrg, String type, String dept, String patientName, Pageable pageable);

    long countAllBySolutionStatusAndCreateTimeBetween(int solutionStatus, Date startDate, Date endDate);

    long countAllBySolutionOrgAndCreateTimeBetween(String orgCode, Date start, Date end);

    long countAllBySolutionOrgAndSolutionStatusAndCreateTimeBetween(String orgCode,int solutionStatus ,Date start, Date end);

    long countAllByApplyOrgAndSolutionStatus(String orgCode, int solutionStatus);

    long countAllByApplyOrgAndCreateTimeBetween(String orgCode, Date start, Date end);

    long countAllByApplyOrgAndSolutionStatusAndCreateTimeBetween(String orgCode,int solutionStatus ,Date start, Date end);
}
