package com.yihu.ehr.svrinspection.job;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.yihu.ehr.lang.SpringContext;
import com.yihu.ehr.profile.queue.RedisCollection;
import com.yihu.ehr.svrinspection.commons.exception.ManageException;
import com.yihu.ehr.svrinspection.model.AssistanceApplyModel;
import com.yihu.ehr.svrinspection.service.AssistanceApplyService;
import org.quartz.*;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.io.Serializable;

/**
 * 检验记录抽取任务
 *
 * @author HZY
 * @created 2018/11/27 14:47
 */
@Component
@DisallowConcurrentExecution
public class InspectionExtractJob implements InterruptableJob {

    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        //该对象要采用名称的方式获取，否则：expected single matching bean but found 3: redisTemplate,sessionRedisTemplate,stringRedisTemplate
        RedisTemplate<String, Serializable> redisTemplate = SpringContext.getService("redisTemplate");
        ObjectMapper objectMapper = SpringContext.getService(ObjectMapper.class);
        AssistanceApplyService assistanceApplyService =  SpringContext.getService(AssistanceApplyService.class);
        Serializable serializable = redisTemplate.opsForList().rightPop(RedisCollection.INSPECTION_EXTRACT_QUEUE);
        AssistanceApplyModel applyModel = null;
        try {
            if (serializable != null) {
                String packStr = serializable.toString();
                applyModel = objectMapper.readValue(packStr, AssistanceApplyModel.class);
                if (applyModel !=null) {
                    assistanceApplyService.addApply(applyModel);
                }
            }
        }catch (IOException e) {
            e.printStackTrace();
        } catch (ManageException e) {
            e.printStackTrace();
        }

    }
}
